INTERFACE
SUBROUTINE SUVPOS(CDCONF,PPLEV,KPPLEV,KI2FLD,KN2FLD,KI3FLD,KN3FLD,KINDLEV,&
 & KLEVS,PLEV,KFPLEV,KSDO3,KSDO2,KSDP3,KSDP2,LDSURF) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMFPC , ONLY : NFPDOM ,CFPFMT ,NFPXLEV ,LFITP ,LFITT ,&
 & LFITV 
INTEGER(KIND=JPIM),INTENT(IN) :: KPPLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KN2FLD
INTEGER(KIND=JPIM),INTENT(IN) :: KN3FLD
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
REAL(KIND=JPRB) ,INTENT(IN) :: PPLEV(KPPLEV)
INTEGER(KIND=JPIM),INTENT(IN) :: KI2FLD(KN2FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KI3FLD(KN3FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KINDLEV(KPPLEV,KN3FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVS(KN3FLD)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLEV(NFPXLEV)
INTEGER(KIND=JPIM),INTENT(OUT) :: KFPLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSDO3(KPPLEV,KN3FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KSDO2(KN2FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KSDP3(NFPDOM,KPPLEV,KN3FLD)
INTEGER(KIND=JPIM),INTENT(IN) :: KSDP2(NFPDOM,KN2FLD)
LOGICAL ,INTENT(IN) :: LDSURF
END SUBROUTINE SUVPOS
END INTERFACE
